org.aspectj.runtime.reflect

## Class FieldSignatureImpl

- java.lang.Object
- - org.aspectj.runtime.reflect.FieldSignatureImpl

All Implemented Interfaces:
  FieldSignature, MemberSignature, Signature

    public class FieldSignatureImpl
    extends Object
    implements FieldSignature

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `createToString(org.aspectj.runtime.reflect.StringMaker sm)`
`Class` `getDeclaringType()` Returns a `java.lang.Class` object representing the class, interface, or aspect that declared this member.
`String` `getDeclaringTypeName()` This is equivalent to calling getDeclaringType().getName(), but caches the result for greater efficiency.
`Field` `getField()`
`Class` `getFieldType()`
`int` `getModifiers()` Returns the modifiers on this signature represented as an int.
`String` `getName()`
`void` `setLookupClassLoader(ClassLoader loader)`
`String` `toLongString()`
`String` `toShortString()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.aspectj.lang.Signature

`getDeclaringType, getDeclaringTypeName, getModifiers, getName, toLongString, toShortString, toString`

### Method Detail

#### getFieldType

    public Class getFieldType()

Specified by:
  `getFieldType` in interface `FieldSignature`

#### createToString

    protected String createToString(org.aspectj.runtime.reflect.StringMaker sm)

#### getField

    public Field getField()

Specified by:
  `getField` in interface `FieldSignature`

#### toString

    public final String toString()

Specified by:
  `toString` in interface `Signature`
Overrides:
  `toString` in class `Object`

#### toShortString

    public final String toShortString()

Specified by:
  `toShortString` in interface `Signature`
Returns:
  an abbreviated string representation of this signature.

#### toLongString

    public final String toLongString()

Specified by:
  `toLongString` in interface `Signature`
Returns:
  an extended string representation of this signature.

#### getModifiers

    public int getModifiers()

Description copied from interface: `Signature`
Returns the modifiers on this signature represented as an int. Use the constants and helper methods defined on `java.lang.reflect.Modifier` to manipulate this, i.e.

         // check if this signature is public
         java.lang.reflect.Modifier.isPublic(sig.getModifiers());

         // print out the modifiers
         java.lang.reflect.Modifier.toString(sig.getModifiers());

Specified by:
  `getModifiers` in interface `Signature`
Returns:
  the modifiers on this signature represented as an int
See Also:
  `Member.getModifiers()`, `Modifier`

#### getName

    public String getName()

Specified by:
  `getName` in interface `Signature`
Returns:
  the identifier part of this signature. For methods this will return the method name.
See Also:
  `Member.getName()`

#### getDeclaringType

    public Class getDeclaringType()

Description copied from interface: `Signature`

Returns a `java.lang.Class` object representing the class, interface, or aspect that declared this member. For intra-member declarations, this will be the type on which the member is declared, not the type where the declaration is lexically written. Use `SourceLocation.getWithinType()` to get the type in which the declaration occurs lexically.

For consistency with `java.lang.reflect.Member`, this method should have been named `getDeclaringClass()`.

Specified by:
  `getDeclaringType` in interface `Signature`
Returns:
  the class, interface or aspect that declared this member
See Also:
  `Member.getDeclaringClass()`

#### getDeclaringTypeName

    public String getDeclaringTypeName()

Description copied from interface: `Signature`
This is equivalent to calling getDeclaringType().getName(), but caches the result for greater efficiency.

Specified by:
  `getDeclaringTypeName` in interface `Signature`
Returns:
  the fully qualified name of the declaring type

#### setLookupClassLoader

    public void setLookupClassLoader(ClassLoader loader)